local lfs = love.filesystem

Load = {}

function Load.split( str, sep )			-- inserts delimited string values into table
	local sep = sep or "%s"				-- default delimiter = space
	local t = {}
	for str in string.gmatch( str, "([^"..sep.."]+)" ) do
		t[#t+1] = str
        end
	return t
	end

function Load.present( k, list )		-- returns true if value is in list
	for i = 1,#list do if k == list[i] then return true end end
	return false
	end

function Load.data( filename, mode )	-- read text file
	if lfs.exists( filename ) then
		local tab, nodes = {}, {}		-- tab can be edges or calls
		for line in lfs.lines( filename ) do
			if mode == 'edges' then
				local spl = Load.split( line, ',' )
				table.insert( tab, {origin = spl[1],target = spl[2]})
				if not Load.present(spl[1],nodes) then table.insert(nodes,spl[1]) end
				if not Load.present(spl[2],nodes) then table.insert(nodes,spl[2]) end
				elseif mode == 'calls' then
					local spl = Load.split( line, ',' )
					table.insert( tab, { spl[1], spl[2] } )
				else
					table.insert( tab, line)
				end
			end
		return tab, nodes
		else print( filename..' not found!' )
		end
	end

return Load
